---
title: "Search Credit Notes by parameters"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c/operations/get-creditnotes"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c.md

# Search Credit Notes by parameters

`GET` `/creditnotes`

Operation ID: `get-creditnotes`

Search Credit Notes by parameters

## Query parameters

- `ids` (string, optional) - Сredit note Ids. (comma separated) Other properties are skipped, if used. Example: 2,3,4
- `supplier_return_ids` (string, optional) - Supplier Return Ids. (comma separated) Example: 2,3,4
- `outlet_ids` (string, optional) - Outlet Ids. (comma separated) Example: 2,3,4
- `supplier_ids` (string, optional) - Supplier Ids. (comma separated) Example: 1,2,3
- `supplier_reference` (string, optional) - Supplier reference.
- `created_since` (string, date-time, optional) - Created since
- `modified_since` (string, date-time, optional) - Modified since
- `filter_by` (string, optional) - Filter by. Available field name values: id, supplier_return_id, supplier, outlet, supplier_reference, total_credit_quantity, total_credit_amount_ex, total_credit_amount_tax, total_credit_amount_inc, created_on, modified_on, created_by_id, created_by_first_name, created_by_surname, modified_by_id, modified_by_first_name, modified_by_surname, supplier_credited_on. In string values: '|' and ',' characters have to be escaped with slash, i.e. '\\,' '\\|' For operators that support multiple values (in, notin): multiple values are delimited using '|' character Available operators: eq - Equal neq - Not equals lt - Less lte - Less or equal gt - Greater gte - Greater or equal in - In notin - Not In contains - Contains isnull - Is Null isnullorempty - Is Null Or Empty isnotnull - Is Not Null startswith - Starts with endswith - Ends with doesnotcontain - Does not contain For non-nullable fields operators isnull and isnotnull are unavailable For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable For strings operators: lt, lte, gt, gte are unavailable Example: created_on:gte:2021-06-03T05:48:09+10:00,created_by_id:in:2|432
- `order_by` (string, optional) - Order by. Available field name values: id, supplier_return_id, supplier, outlet, supplier_reference, total_credit_quantity, total_credit_amount_ex, total_credit_amount_tax, total_credit_amount_inc, created_on, modified_on, created_by_id, created_by_first_name, created_by_surname, modified_by_id, modified_by_first_name, modified_by_surname, supplier_credited_on. Available direction values: asc, desc. Example: id asc, supplier_return_id desc
- `page_number` (integer, int32, optional)
- `page_size` (integer, int32, optional)

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Responses

- `200` - Credit Notes returned successfully
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: v2.1
servers:
  - url: https://api.retailexpress.com.au/v2.1
paths:
  /creditnotes:
    get:
      tags:
        - creditnotes
      summary: Search Credit Notes by parameters
      description: Search Credit Notes by parameters
      operationId: get-creditnotes
      parameters:
        - name: ids
          in: query
          description: "Сredit note Ids. (comma separated)\r

            Other properties are skipped, if used.\r

            Example: 2,3,4"
          schema:
            type: string
            description: "Сredit note Ids. (comma separated)\r

              Other properties are skipped, if used.\r

              Example: 2,3,4"
            nullable: true
        - name: supplier_return_ids
          in: query
          description: "Supplier Return Ids. (comma separated)\r

            Example: 2,3,4"
          schema:
            type: string
            description: "Supplier Return Ids. (comma separated)\r

              Example: 2,3,4"
            nullable: true
        - name: outlet_ids
          in: query
          description: "Outlet Ids. (comma separated)\r

            Example: 2,3,4"
          schema:
            type: string
            description: "Outlet Ids. (comma separated)\r

              Example: 2,3,4"
            nullable: true
        - name: supplier_ids
          in: query
          description: "Supplier Ids. (comma separated)\r

            Example: 1,2,3"
          schema:
            type: string
            description: "Supplier Ids. (comma separated)\r

              Example: 1,2,3"
            nullable: true
        - name: supplier_reference
          in: query
          description: Supplier reference.
          schema:
            type: string
            description: Supplier reference.
            nullable: true
        - name: created_since
          in: query
          description: Created since
          schema:
            type: string
            description: Created since
            format: date-time
            nullable: true
        - name: modified_since
          in: query
          description: Modified since
          schema:
            type: string
            description: Modified since
            format: date-time
            nullable: true
        - name: filter_by
          in: query
          description: "Filter by. \r

            Available field name values: id, supplier_return_id, supplier,
            outlet, supplier_reference, total_credit_quantity,
            total_credit_amount_ex, total_credit_amount_tax,
            total_credit_amount_inc, created_on, modified_on, created_by_id,
            created_by_first_name, created_by_surname, modified_by_id,
            modified_by_first_name, modified_by_surname, supplier_credited_on.\r

            \            \r

            In string values: '|' and ',' characters have to be escaped with
            slash, i.e. '\\\\,' '\\\\|'\r

            \            \r

            For operators that support multiple values (in, notin): multiple
            values are delimited using '|' character\r

            \r

            Available operators:\r

            \r

            eq -  Equal\r

            \r

            neq - Not equals\r

            \r

            lt  - Less\r

            \r

            lte - Less or equal\r

            \r

            gt -  Greater\r

            \r

            gte - Greater or equal\r

            \r

            in  - In\r

            \r

            notin - Not In\r

            \            \r

            contains - Contains\r

            \r

            isnull - Is Null\r

            \            \r

            isnullorempty - Is Null Or Empty\r

            \r

            isnotnull - Is Not Null\r

            \r

            startswith - Starts with\r

            \r

            endswith - Ends with\r

            \r

            doesnotcontain - Does not contain\r

            \            \r

            For non-nullable fields operators isnull and isnotnull are
            unavailable\r

            \r

            For dates operators: contains, startswith, endswith, doesnotcontain,
            isnullorempty are unavailable\r

            \            \r

            For strings operators: lt, lte, gt, gte are unavailable\r

            \            \r

            Example:
            created_on:gte:2021-06-03T05:48:09+10:00,created_by_id:in:2|432"
          schema:
            type: string
            description: "Filter by. \r

              Available field name values: id, supplier_return_id, supplier,
              outlet, supplier_reference, total_credit_quantity,
              total_credit_amount_ex, total_credit_amount_tax,
              total_credit_amount_inc, created_on, modified_on, created_by_id,
              created_by_first_name, created_by_surname, modified_by_id,
              modified_by_first_name, modified_by_surname,
              supplier_credited_on.\r

              \            \r

              In string values: '|' and ',' characters have to be escaped with
              slash, i.e. '\\\\,' '\\\\|'\r

              \            \r

              For operators that support multiple values (in, notin): multiple
              values are delimited using '|' character\r

              \r

              Available operators:\r

              \r

              eq -  Equal\r

              \r

              neq - Not equals\r

              \r

              lt  - Less\r

              \r

              lte - Less or equal\r

              \r

              gt -  Greater\r

              \r

              gte - Greater or equal\r

              \r

              in  - In\r

              \r

              notin - Not In\r

              \            \r

              contains - Contains\r

              \r

              isnull - Is Null\r

              \            \r

              isnullorempty - Is Null Or Empty\r

              \r

              isnotnull - Is Not Null\r

              \r

              startswith - Starts with\r

              \r

              endswith - Ends with\r

              \r

              doesnotcontain - Does not contain\r

              \            \r

              For non-nullable fields operators isnull and isnotnull are
              unavailable\r

              \r

              For dates operators: contains, startswith, endswith,
              doesnotcontain, isnullorempty are unavailable\r

              \            \r

              For strings operators: lt, lte, gt, gte are unavailable\r

              \            \r

              Example:
              created_on:gte:2021-06-03T05:48:09+10:00,created_by_id:in:2|432"
            nullable: true
        - name: order_by
          in: query
          description: "Order by. \r

            \r

            Available field name values: id, supplier_return_id, supplier,
            outlet, supplier_reference, total_credit_quantity,
            total_credit_amount_ex, total_credit_amount_tax,
            total_credit_amount_inc, created_on, modified_on, created_by_id,
            created_by_first_name, created_by_surname, modified_by_id,
            modified_by_first_name, modified_by_surname, supplier_credited_on.
            \r

            \r

            Available direction values: asc, desc. \r

            \r

            Example: id asc, supplier_return_id desc"
          schema:
            type: string
            description: "Order by. \r

              \r

              Available field name values: id, supplier_return_id, supplier,
              outlet, supplier_reference, total_credit_quantity,
              total_credit_amount_ex, total_credit_amount_tax,
              total_credit_amount_inc, created_on, modified_on, created_by_id,
              created_by_first_name, created_by_surname, modified_by_id,
              modified_by_first_name, modified_by_surname, supplier_credited_on.
              \r

              \r

              Available direction values: asc, desc. \r

              \r

              Example: id asc, supplier_return_id desc"
            nullable: true
        - name: page_number
          in: query
          schema:
            maximum: 100000
            minimum: 1
            type: integer
            format: int32
        - name: page_size
          in: query
          schema:
            maximum: 2147483647
            minimum: 1
            type: integer
            format: int32
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      responses:
        "200":
          description: Credit Notes returned successfully
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/CreditNote.PagingResponse"
              example:
                data:
                  - id: 0
                    supplier_return_id: 0
                    supplier:
                      id: 0
                      supplier_code: string
                      name: string
                      is_enabled: true
                      modified_on: string
                    outlet:
                      id: 0
                      name: string
                      modified_on: string
                    supplier_reference: string
                    include_tax: false
                    rounding_adjustment: 0
                    total_credit_quantity: 0
                    total_credit_amount_ex: 0
                    total_credit_amount_tax: 0
                    total_credit_amount_inc: 0
                    total_applied_credit_quantity: 0
                    total_applied_credit_amount_ex: 0
                    total_applied_credit_amount_inc: 0
                    total_applied_credit_tax: 0
                    created_on: string
                    modified_on: string
                    supplier_credited_on: string
                    created_by:
                      id: 0
                      user_code: string
                      first_name: string
                      surname: string
                    modified_by:
                      id: 0
                      user_code: string
                      first_name: string
                      surname: string
                page_number: 0
                page_size: 0
                total_records: 0
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    CreditNote.PagingResponse:
      title: ""
      type: object
      properties:
        data:
          type: array
          items:
            $ref: "#/components/schemas/CreditNote"
          nullable: true
        page_number:
          type: integer
          format: int32
        page_size:
          type: integer
          format: int32
        total_records:
          type: integer
          format: int32
      additionalProperties: false
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    CreditNote:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Credit Note id
          format: int32
          nullable: true
        supplier_return_id:
          type: integer
          description: Supplier Return id
          format: int32
          nullable: true
        supplier:
          $ref: "#/components/schemas/SupplierLimited"
        outlet:
          $ref: "#/components/schemas/OutletExtended"
        supplier_reference:
          maxLength: 50
          minLength: 0
          type: string
          description: Supplier reference
          nullable: true
        include_tax:
          type: boolean
          description: Include tax
          default: false
          nullable: true
        rounding_adjustment:
          type: number
          description: Rounding Adjustment
          format: double
        total_credit_quantity:
          type: integer
          description: Total credit quantity
          format: int32
        total_credit_amount_ex:
          type: number
          description: Total Credit Amount Ex
          format: double
        total_credit_amount_tax:
          type: number
          description: Total Credit Amount Tax
          format: double
        total_credit_amount_inc:
          type: number
          description: Total Credit Amount Inc
          format: double
        total_applied_credit_quantity:
          type: integer
          description: Total Applied Credit Quantity
          format: int32
        total_applied_credit_amount_ex:
          type: number
          description: Total Applied Credit Amount Ex
          format: double
        total_applied_credit_amount_inc:
          type: number
          description: Total Applied Credit Amount Inc
          format: double
        total_applied_credit_tax:
          type: number
          description: Total Applied Credit Tax
          format: double
        created_on:
          type: string
          description: Created on
          format: date-time
        modified_on:
          type: string
          description: Modified on
          format: date-time
        supplier_credited_on:
          type: string
          description: Supplier Credited On
          format: date-time
          nullable: true
        created_by:
          $ref: "#/components/schemas/UserExtended"
        modified_by:
          $ref: "#/components/schemas/UserExtended"
      additionalProperties: false
      description: Credit Note model
    SupplierLimited:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Supplier Id
          format: int32
          nullable: true
        supplier_code:
          maxLength: 20
          minLength: 0
          type: string
          description: Supplier Code
          nullable: true
        name:
          maxLength: 50
          minLength: 0
          type: string
          description: Supplier Name
          nullable: true
        is_enabled:
          type: boolean
          description: Is enabled flag
        modified_on:
          type: string
          description: Modified On
          format: date-time
      additionalProperties: false
    OutletExtended:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Outlet id
          format: int32
          nullable: true
        name:
          maxLength: 255
          minLength: 0
          type: string
          description: Outlet name
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
    UserExtended:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Id.
          format: int32
          nullable: true
        user_code:
          type: string
          description: User code.
          nullable: true
        first_name:
          type: string
          description: First name.
          nullable: true
        surname:
          type: string
          description: Surname.
          nullable: true
      additionalProperties: false
```
